Name:           python-rfc3987
Version:        1.3.8
Release:    2%{?dist}
Summary:        Parsing and validation of URIs (RFC 3986) and IRIs (RFC 3987)

License:        GPL-3.0-or-later
URL:            https://github.com/dgerber/rfc3987
Source0:         %{pypi_source rfc3987}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
This module provides regular expressions according to RFC 3986 "Uniform
Resource Identifier (URI): Generic Syntax" <http://tools.ietf.org/html/rfc3986>
and RFC 3987 "Internationalized Resource Identifiers (IRIs)"
<http://tools.ietf.org/html/rfc3987>, and utilities for composition and
relative resolution of references.}


%description %{_description}


%package -n     python3-rfc3987
Summary:        %{summary}


%description -n python3-rfc3987 %{_description}


%prep
%autosetup -n rfc3987-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files rfc3987

sed -i -e '/^#!\//, 1d' %{buildroot}%{python3_sitelib}/rfc3987.py


%check
%{python3} -m doctest -v rfc3987.py


%files -n python3-rfc3987 -f %{pyproject_files}
%doc README.txt


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.8-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-1
- initial build
